## box2d 2.0.1

=== Makefile ===
PATCH=	box2d_fixed.patch

all:
#	(cd Contrib/freeglut; make)
#	(cd Contrib/glui; make)
	(cd Source; make)
#	(cd Examples/TestBed; make)

clean:
#	(cd Contrib/freeglut; make clean)
#	(cd Contrib/glui; make clean)
	(cd Source; make clean)
#	(cd Examples/TestBed; make clean)

patch:
	svn diff > $(PATCH)
#	- diff --unified /dev/null Makefile >> $(PATCH)
#	- diff --unified /dev/null Documentation/latex/Makefile >> $(PATCH)
#	- diff --unified /dev/null Contrib/freeglut/Makefile >> $(PATCH)
#	- diff --unified /dev/null Contrib/glui/Makefile >> $(PATCH)
#	- diff --unified /dev/null Source/Makefile >> $(PATCH)
#	- diff --unified /dev/null Examples/TestBed/Makefile >> $(PATCH)
#	- diff --unified /dev/null Source/Common/Fixed.h >> $(PATCH)
#	- diff --unified /dev/null Source/Common/jtypes.h >> $(PATCH)
#	- diff --unified /dev/null Source/Contrib/b2Polygon.cpp >> $(PATCH)
#	- diff --unified /dev/null Source/Contrib/b2Polygon.h >> $(PATCH)
#	- diff --unified /dev/null Source/Contrib/b2Triangle.cpp >> $(PATCH)
#	- diff --unified /dev/null Source/Contrib/b2Triangle.h >> $(PATCH)

=== Source/Makefile ===
TARGETS= Gen/fixed/libbox2d.a

ifdef DEVKITPRO
TARGETS += Gen/nds-float/lib/libbox2d.a Gen/nds-fixed/lib/libbox2d.a
endif

CXXFLAGS=	-g -O2

SOURCES = \
	./Dynamics/b2Body.cpp \
	./Dynamics/b2Island.cpp \
	./Dynamics/b2World.cpp \
	./Dynamics/b2ContactManager.cpp \
	./Dynamics/Contacts/b2Contact.cpp \
	./Dynamics/Contacts/b2PolyContact.cpp \
	./Dynamics/Contacts/b2CircleContact.cpp \
	./Dynamics/Contacts/b2PolyAndCircleContact.cpp \
	./Dynamics/Contacts/b2ContactSolver.cpp \
	./Dynamics/b2WorldCallbacks.cpp \
	./Dynamics/Joints/b2MouseJoint.cpp \
	./Dynamics/Joints/b2PulleyJoint.cpp \
	./Dynamics/Joints/b2Joint.cpp \
	./Dynamics/Joints/b2RevoluteJoint.cpp \
	./Dynamics/Joints/b2PrismaticJoint.cpp \
	./Dynamics/Joints/b2DistanceJoint.cpp \
	./Dynamics/Joints/b2GearJoint.cpp \
	./Common/b2StackAllocator.cpp \
	./Common/b2Math.cpp \
	./Common/b2BlockAllocator.cpp \
	./Common/b2Settings.cpp \
	./Collision/b2Collision.cpp \
	./Collision/b2Distance.cpp \
	./Collision/Shapes/b2Shape.cpp \
	./Collision/Shapes/b2CircleShape.cpp \
	./Collision/Shapes/b2PolygonShape.cpp \
	./Collision/b2TimeOfImpact.cpp \
	./Collision/b2PairManager.cpp \
	./Collision/b2CollidePoly.cpp \
	./Collision/b2CollideCircle.cpp \
	./Collision/b2BroadPhase.cpp 
#	./Contrib/b2Polygon.cpp \
#	./Contrib/b2Triangle.cpp


ifneq ($(INCLUDE_DEPENDENCIES),yes)

all:	
	@make --no-print-directory INCLUDE_DEPENDENCIES=yes $(TARGETS)

.PHONY:	clean
clean:
	rm -rf Gen

else

-include $(addprefix Gen/float/,$(SOURCES:.cpp=.d))
-include $(addprefix Gen/fixed/,$(SOURCES:.cpp=.d))

ifdef DEVKITPRO
-include $(addprefix Gen/nds-fixed/,$(SOURCES:.cpp=.d))
-include $(addprefix Gen/nds-float/,$(SOURCES:.cpp=.d))
endif

endif

#Gen/float/%.o:		%.cpp
#	@mkdir -p $(dir $@)
#	c++ $(CXXFLAGS) -c -o $@ $<


#Gen/float/libbox2d.a:	$(addprefix Gen/float/,$(SOURCES:.cpp=.o))
#	ar cr $@ $^
#	ranlib $@ 

#Gen/float/%.d:		%.cpp
#	@mkdir -p $(dir $@)
#	c++ -MM -MT $(@:.d=.o) $(CXXFLAGS) -o $@ $<


Gen/fixed/%.o:		%.cpp
	@mkdir -p $(dir $@)
	c++ $(CXXFLAGS) -DTARGET_FLOAT32_IS_FIXED -c -o $@ $<


Gen/fixed/libbox2d.a:	$(addprefix Gen/fixed/,$(SOURCES:.cpp=.o)) 
	ar cr $@ $^
	ranlib $@ 


Gen/fixed/%.d:		%.cpp
	@mkdir -p $(dir $@)
	c++ -MM -MT $(@:.d=.o) $(CXXFLAGS) -DTARGET_FLOAT32_IS_FIXED -o $@ $<



NDS_COMPILE_FLAGS= -g -O2 -fomit-frame-pointer -ffast-math \
		-march=armv5te -mtune=arm946e-s -mthumb-interwork \
		-DARM9 -fno-rtti -fno-exceptions -c \
		-DTARGET_IS_NDS \
		-I$(DEVKITPRO)/libnds/include 


Gen/nds-fixed/%.o:		%.cpp
	@mkdir -p $(dir $@)
	arm-eabi-g++ $(NDS_COMPILE_FLAGS) -DTARGET_FLOAT32_IS_FIXED -o $@ $<

Gen/nds-fixed/lib/libbox2d.a:	$(addprefix Gen/nds-fixed/,$(SOURCES:.cpp=.o)) 
	@mkdir -p $(dir $@)
	arm-eabi-ar cr $@ $^
	arm-eabi-ranlib $@ 

Gen/nds-fixed/%.d:		%.cpp
	@mkdir -p $(dir $@)
	arm-eabi-g++ -MM -MT $(@:.d=.o) $(NDS_COMPILE_FLAGS) \
		-DTARGET_FLOAT32_IS_FIXED -o $@ $<



Gen/nds-float/%.o:		%.cpp
	@mkdir -p $(dir $@)
	arm-eabi-g++ $(NDS_COMPILE_FLAGS) -o $@ $<

Gen/nds-float/lib/libbox2d.a:	$(addprefix Gen/nds-float/,$(SOURCES:.cpp=.o))
	@mkdir -p $(dir $@)
	arm-eabi-ar cr $@ $^
	arm-eabi-ranlib $@ 


Gen/nds-float/%.d:		%.cpp
	@mkdir -p $(dir $@) 
	arm-eabi-g++ -MM -MT $(@:.d=.o) $(NDS_COMPILE_FLAGS) -o $@ $<

## box2d 2.0.1+dfsg1

=== Examples/TestBed/Makefile ===
TARGETS=	Gen/float/testbed Gen/fixed/testbed

PROJECT=	../..

CXXFLAGS=	-g -O2 -I$(PROJECT)/Contrib -I$(PROJECT)/Include -DGLUI_FREEGLUT

LDFLAGS=	-L$(PROJECT)/Contrib/freeglut -L$(PROJECT)/Contrib/glui \

SOURCES=	Framework/Main.cpp \
		Framework/Test.cpp \
		Framework/Render.cpp \
		Tests/BroadPhaseTest.cpp \
		Tests/Biped.cpp \
		Tests/BipedDef.cpp \
		Tests/TestEntries.cpp 

ifneq ($(INCLUDE_DEPENDENCIES),yes)

all:	
	@make --no-print-directory INCLUDE_DEPENDENCIES=yes $(TARGETS)

.PHONY:	clean
clean:
	rm -rf Gen

else

-include $(addprefix Gen/float/,$(SOURCES:.cpp=.d))
-include $(addprefix Gen/fixed/,$(SOURCES:.cpp=.d))

endif


FLOAT_OBJECTS= $(addprefix Gen/float/,$(SOURCES:.cpp=.o))

Gen/float/%.o:		%.cpp
	mkdir -p $(dir $@)
	c++ $(CXXFLAGS) -c -o $@ $<

Gen/float/testbed:	$(FLOAT_OBJECTS) $(PROJECT)/Source/Gen/float/libbox2d.a
	g++ -o $@ $^ $(LDFLAGS) -L$(PROJECT)/Source/Gen/float -lbox2d -lglui -lglut -lGLU -lGL

Gen/float/%.d:		%.cpp
	@mkdir -p $(dir $@)
	c++ -M -MT $(@:.d=.o) $(CXXFLAGS) -o $@ $<



FIXED_OBJECTS= $(addprefix Gen/fixed/,$(SOURCES:.cpp=.o))

Gen/fixed/%.o:		%.cpp
	mkdir -p $(dir $@)
	c++ $(CXXFLAGS) -DTARGET_FLOAT32_IS_FIXED -c -o $@ $<

Gen/fixed/testbed:	$(FIXED_OBJECTS) $(PROJECT)/Source/Gen/fixed/libbox2d.a
	g++ -rdynamic -o $@ $^ $(LDFLAGS) -L$(PROJECT)/Source/Gen/fixed -lbox2d -lglui -lglut -lGLU -lGL

Gen/fixed/%.d:		%.cpp
	@mkdir -p $(dir $@)
	c++ -M -MT $(@:.d=.o) $(CXXFLAGS) -o $@ $<

## box2d 2.0.2

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,10 @@
 PATCH=	box2d_fixed.patch
 
 all:
-#	(cd Contrib/freeglut; make)
-#	(cd Contrib/glui; make)
 	(cd Source; make)
-#	(cd Examples/TestBed; make)
 
 clean:
-#	(cd Contrib/freeglut; make clean)
-#	(cd Contrib/glui; make clean)
 	(cd Source; make clean)
-#	(cd Examples/TestBed; make clean)
 
 patch:
 	svn diff > $(PATCH)

=== Source/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-TARGETS= Gen/fixed/libbox2d.a
+TARGETS= Gen/float/libbox2d.a Gen/fixed/libbox2d.a
 
 ifdef DEVKITPRO
 TARGETS += Gen/nds-float/lib/libbox2d.a Gen/nds-fixed/lib/libbox2d.a
@@ -15,6 +15,8 @@
 	./Dynamics/Contacts/b2PolyContact.cpp \
 	./Dynamics/Contacts/b2CircleContact.cpp \
 	./Dynamics/Contacts/b2PolyAndCircleContact.cpp \
+	./Dynamics/Contacts/b2EdgeAndCircleContact.cpp \
+	./Dynamics/Contacts/b2PolyAndEdgeContact.cpp \
 	./Dynamics/Contacts/b2ContactSolver.cpp \
 	./Dynamics/b2WorldCallbacks.cpp \
 	./Dynamics/Joints/b2MouseJoint.cpp \
@@ -24,6 +26,13 @@
 	./Dynamics/Joints/b2PrismaticJoint.cpp \
 	./Dynamics/Joints/b2DistanceJoint.cpp \
 	./Dynamics/Joints/b2GearJoint.cpp \
+	./Dynamics/Joints/b2LineJoint.cpp \
+	./Dynamics/Controllers/b2Controller.cpp \
+	./Dynamics/Controllers/b2BuoyancyController.cpp \
+	./Dynamics/Controllers/b2GravityController.cpp \
+	./Dynamics/Controllers/b2TensorDampingController.cpp \
+	./Dynamics/Controllers/b2ConstantForceController.cpp \
+	./Dynamics/Controllers/b2ConstantAccelController.cpp \
 	./Common/b2StackAllocator.cpp \
 	./Common/b2Math.cpp \
 	./Common/b2BlockAllocator.cpp \
@@ -33,6 +42,7 @@
 	./Collision/Shapes/b2Shape.cpp \
 	./Collision/Shapes/b2CircleShape.cpp \
 	./Collision/Shapes/b2PolygonShape.cpp \
+	./Collision/Shapes/b2EdgeShape.cpp \
 	./Collision/b2TimeOfImpact.cpp \
 	./Collision/b2PairManager.cpp \
 	./Collision/b2CollidePoly.cpp \
@@ -45,7 +55,7 @@
 ifneq ($(INCLUDE_DEPENDENCIES),yes)
 
 all:	
-	@make --no-print-directory INCLUDE_DEPENDENCIES=yes $(TARGETS)
+	$(MAKE) --no-print-directory INCLUDE_DEPENDENCIES=yes $(TARGETS)
 
 .PHONY:	clean
 clean:
@@ -63,18 +73,18 @@
 
 endif
 
-#Gen/float/%.o:		%.cpp
-#	@mkdir -p $(dir $@)
-#	c++ $(CXXFLAGS) -c -o $@ $<
+Gen/float/%.o:		%.cpp
+	@mkdir -p $(dir $@)
+	c++ $(CXXFLAGS) -c -o $@ $<
 
 
-#Gen/float/libbox2d.a:	$(addprefix Gen/float/,$(SOURCES:.cpp=.o))
-#	ar cr $@ $^
-#	ranlib $@ 
+Gen/float/libbox2d.a:	$(addprefix Gen/float/,$(SOURCES:.cpp=.o))
+	ar cr $@ $^
+	ranlib $@ 
 
-#Gen/float/%.d:		%.cpp
-#	@mkdir -p $(dir $@)
-#	c++ -MM -MT $(@:.d=.o) $(CXXFLAGS) -o $@ $<
+Gen/float/%.d:		%.cpp
+	@mkdir -p $(dir $@)
+	c++ -MM -MT $(@:.d=.o) $(CXXFLAGS) -o $@ $<
 
 
 Gen/fixed/%.o:		%.cpp

## box2d 2.3.0+ds

=== Box2D/Box2D/CMakeLists.txt ===
set(BOX2D_Collision_SRCS
	Collision/b2BroadPhase.cpp
	Collision/b2CollideCircle.cpp
	Collision/b2CollideEdge.cpp
	Collision/b2CollidePolygon.cpp
	Collision/b2Collision.cpp
	Collision/b2Distance.cpp
	Collision/b2DynamicTree.cpp
	Collision/b2TimeOfImpact.cpp
)
set(BOX2D_Collision_HDRS
	Collision/b2BroadPhase.h
	Collision/b2Collision.h
	Collision/b2Distance.h
	Collision/b2DynamicTree.h
	Collision/b2TimeOfImpact.h
)
set(BOX2D_Shapes_SRCS
	Collision/Shapes/b2CircleShape.cpp
	Collision/Shapes/b2EdgeShape.cpp
	Collision/Shapes/b2ChainShape.cpp
	Collision/Shapes/b2PolygonShape.cpp
)
set(BOX2D_Shapes_HDRS
	Collision/Shapes/b2CircleShape.h
	Collision/Shapes/b2EdgeShape.h
	Collision/Shapes/b2ChainShape.h
	Collision/Shapes/b2PolygonShape.h
	Collision/Shapes/b2Shape.h
)
set(BOX2D_Common_SRCS
	Common/b2BlockAllocator.cpp
	Common/b2Draw.cpp
	Common/b2Math.cpp
	Common/b2Settings.cpp
	Common/b2StackAllocator.cpp
	Common/b2Timer.cpp
)
set(BOX2D_Common_HDRS
	Common/b2BlockAllocator.h
	Common/b2Draw.h
	Common/b2GrowableStack.h
	Common/b2Math.h
	Common/b2Settings.h
	Common/b2StackAllocator.h
	Common/b2Timer.h
)
set(BOX2D_Dynamics_SRCS
	Dynamics/b2Body.cpp
	Dynamics/b2ContactManager.cpp
	Dynamics/b2Fixture.cpp
	Dynamics/b2Island.cpp
	Dynamics/b2World.cpp
	Dynamics/b2WorldCallbacks.cpp
)
set(BOX2D_Dynamics_HDRS
	Dynamics/b2Body.h
	Dynamics/b2ContactManager.h
	Dynamics/b2Fixture.h
	Dynamics/b2Island.h
	Dynamics/b2TimeStep.h
	Dynamics/b2World.h
	Dynamics/b2WorldCallbacks.h
)
set(BOX2D_Contacts_SRCS
	Dynamics/Contacts/b2CircleContact.cpp
	Dynamics/Contacts/b2Contact.cpp
	Dynamics/Contacts/b2ContactSolver.cpp
	Dynamics/Contacts/b2PolygonAndCircleContact.cpp
	Dynamics/Contacts/b2EdgeAndCircleContact.cpp
	Dynamics/Contacts/b2EdgeAndPolygonContact.cpp
	Dynamics/Contacts/b2ChainAndCircleContact.cpp
	Dynamics/Contacts/b2ChainAndPolygonContact.cpp
	Dynamics/Contacts/b2PolygonContact.cpp
)
set(BOX2D_Contacts_HDRS
	Dynamics/Contacts/b2CircleContact.h
	Dynamics/Contacts/b2Contact.h
	Dynamics/Contacts/b2ContactSolver.h
	Dynamics/Contacts/b2PolygonAndCircleContact.h
	Dynamics/Contacts/b2EdgeAndCircleContact.h
	Dynamics/Contacts/b2EdgeAndPolygonContact.h
	Dynamics/Contacts/b2ChainAndCircleContact.h
	Dynamics/Contacts/b2ChainAndPolygonContact.h
	Dynamics/Contacts/b2PolygonContact.h
)
set(BOX2D_Joints_SRCS
	Dynamics/Joints/b2DistanceJoint.cpp
	Dynamics/Joints/b2FrictionJoint.cpp
	Dynamics/Joints/b2GearJoint.cpp
	Dynamics/Joints/b2Joint.cpp
	Dynamics/Joints/b2MotorJoint.cpp
	Dynamics/Joints/b2MouseJoint.cpp
	Dynamics/Joints/b2PrismaticJoint.cpp
	Dynamics/Joints/b2PulleyJoint.cpp
	Dynamics/Joints/b2RevoluteJoint.cpp
	Dynamics/Joints/b2RopeJoint.cpp
	Dynamics/Joints/b2WeldJoint.cpp
	Dynamics/Joints/b2WheelJoint.cpp
)
set(BOX2D_Joints_HDRS
	Dynamics/Joints/b2DistanceJoint.h
	Dynamics/Joints/b2FrictionJoint.h
	Dynamics/Joints/b2GearJoint.h
	Dynamics/Joints/b2Joint.h
	Dynamics/Joints/b2MotorJoint.h
	Dynamics/Joints/b2MouseJoint.h
	Dynamics/Joints/b2PrismaticJoint.h
	Dynamics/Joints/b2PulleyJoint.h
	Dynamics/Joints/b2RevoluteJoint.h
	Dynamics/Joints/b2RopeJoint.h
	Dynamics/Joints/b2WeldJoint.h
	Dynamics/Joints/b2WheelJoint.h
)
set(BOX2D_Rope_SRCS
	Rope/b2Rope.cpp
)
set(BOX2D_Rope_HDRS
	Rope/b2Rope.h
)
set(BOX2D_General_HDRS
	Box2D.h
)
include_directories( ../ )

if(BOX2D_BUILD_SHARED)
	add_library(Box2D_shared SHARED
		${BOX2D_General_HDRS}
		${BOX2D_Joints_SRCS}
		${BOX2D_Joints_HDRS}
		${BOX2D_Contacts_SRCS}
		${BOX2D_Contacts_HDRS}
		${BOX2D_Dynamics_SRCS}
		${BOX2D_Dynamics_HDRS}
		${BOX2D_Common_SRCS}
		${BOX2D_Common_HDRS}
		${BOX2D_Shapes_SRCS}
		${BOX2D_Shapes_HDRS}
		${BOX2D_Collision_SRCS}
		${BOX2D_Collision_HDRS}
		${BOX2D_Rope_SRCS}
		${BOX2D_Rope_HDRS}
	)
	set_target_properties(Box2D_shared PROPERTIES
		OUTPUT_NAME "Box2D"
		CLEAN_DIRECT_OUTPUT 1
		VERSION ${BOX2D_VERSION}
	)
endif()

if(BOX2D_BUILD_STATIC)
	add_library(Box2D STATIC
		${BOX2D_General_HDRS}
		${BOX2D_Joints_SRCS}
		${BOX2D_Joints_HDRS}
		${BOX2D_Contacts_SRCS}
		${BOX2D_Contacts_HDRS}
		${BOX2D_Dynamics_SRCS}
		${BOX2D_Dynamics_HDRS}
		${BOX2D_Common_SRCS}
		${BOX2D_Common_HDRS}
		${BOX2D_Shapes_SRCS}
		${BOX2D_Shapes_HDRS}
		${BOX2D_Collision_SRCS}
		${BOX2D_Collision_HDRS}
		${BOX2D_Rope_SRCS}
		${BOX2D_Rope_HDRS}
	)
	set_target_properties(Box2D PROPERTIES
		CLEAN_DIRECT_OUTPUT 1
		VERSION ${BOX2D_VERSION}
	)
endif()

# These are used to create visual studio folders.
source_group(Collision FILES ${BOX2D_Collision_SRCS} ${BOX2D_Collision_HDRS})
source_group(Collision\\Shapes FILES ${BOX2D_Shapes_SRCS} ${BOX2D_Shapes_HDRS})
source_group(Common FILES ${BOX2D_Common_SRCS} ${BOX2D_Common_HDRS})
source_group(Dynamics FILES ${BOX2D_Dynamics_SRCS} ${BOX2D_Dynamics_HDRS})
source_group(Dynamics\\Contacts FILES ${BOX2D_Contacts_SRCS} ${BOX2D_Contacts_HDRS})
source_group(Dynamics\\Joints FILES ${BOX2D_Joints_SRCS} ${BOX2D_Joints_HDRS})
source_group(Include FILES ${BOX2D_General_HDRS})
source_group(Rope FILES ${BOX2D_Rope_SRCS} ${BOX2D_Rope_HDRS})

if(BOX2D_INSTALL)
	# install headers
	install(FILES ${BOX2D_General_HDRS} DESTINATION include/Box2D)
	install(FILES ${BOX2D_Collision_HDRS} DESTINATION include/Box2D/Collision)
	install(FILES ${BOX2D_Shapes_HDRS} DESTINATION include/Box2D/Collision/Shapes)
	install(FILES ${BOX2D_Common_HDRS} DESTINATION include/Box2D/Common)
	install(FILES ${BOX2D_Dynamics_HDRS} DESTINATION include/Box2D/Dynamics)
	install(FILES ${BOX2D_Contacts_HDRS} DESTINATION include/Box2D/Dynamics/Contacts)
	install(FILES ${BOX2D_Joints_HDRS} DESTINATION include/Box2D/Dynamics/Joints)
	install(FILES ${BOX2D_Rope_HDRS} DESTINATION include/Box2D/Rope)

	# install libraries
	if(BOX2D_BUILD_SHARED)
		install(TARGETS Box2D_shared EXPORT Box2D-targets DESTINATION ${LIB_INSTALL_DIR})
	endif()
	if(BOX2D_BUILD_STATIC)
		install(TARGETS Box2D EXPORT Box2D-targets DESTINATION ${LIB_INSTALL_DIR})
	endif()

	# install build system hooks for third-party apps
	install(EXPORT Box2D-targets DESTINATION ${LIB_INSTALL_DIR}/Box2D)
	install(FILES Box2DConfig.cmake DESTINATION ${LIB_INSTALL_DIR}/Box2D)
endif(BOX2D_INSTALL)

=== debian/changelog ===
box2d (2.3.0+ds-2) unstable; urgency=medium

  * Upload to unstable.
  * Add CMake configuration files to libbox2d-dev.
    Thanks to Pino Toscano for the report and patch. (Closes: #735845)
  * Update copyright years.

 -- Markus Koschany <apo@gambaru.de>  Thu, 06 Mar 2014 21:05:18 +0100

box2d (2.3.0+ds-1) experimental; urgency=low

  [ Markus Koschany ]
  * Add myself to Uploaders.
  * New upstream release 2.3.0. (Closes: #610814)
    - Repack the source tarball and remove libraries that are already included
      in Debian.
    - Rename shared library and -dbg package to libbox2d2.3.0 to reflect the
      SONAME bump and ABI change.
    - Add new libbox2d-doc package and install the API documentation and the
      manual.
    - Remove superfluous ${shlibs:Depends}-variable from -dev and -dbg
      packages.
    - Drop dh-buildinfo from Build-Depends. It is not needed.
    - Multiarchify box2d.
  * Register documentation with doc-base.
  * Drop Makefile. Not needed.
  * Rename box2d.pc to box2d.pc.in. Update pkg-config file and make it aware of
    Multiarch.
  * Update debian/copyright to copyright format 1.0.
  * Update to Standards-Version 3.9.5, no changes.
  * Add a new get-orig-source target to debian/rules.
  * Ensure that Box2D can be built twice in a row and override dh_clean.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Barry deFreese ]
    + Library name in correct case. (Closes: #692245).
    + Drop existing Debian patches as they no longer apply.
    + Update rules and bump to debhelper 9 build-dep and compat.
    + Change to source format 3.0 (quilt). Drop quilt depends.
  * Update watch file.
    + Thanks to Bart Martens.

 -- Markus Koschany <apo@gambaru.de>  Sun, 29 Dec 2013 12:26:31 +0100

box2d (2.0.1+dfsg1-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * Initial release (Closes: #496991)

  [ Barry deFreese ]
  * Add myself to uploaders.

 -- Barry deFreese <bdefreese@debian.org>  Sun, 12 Apr 2009 14:33:33 -0400

=== debian/control ===
Source: box2d
Section: libs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Miriam Ruiz <little_miry@yahoo.es>,
 Barry deFreese <bdefreese@debian.org>,
 Markus Koschany <apo@gambaru.de>
Build-Depends:
 cmake,
 debhelper (>= 9)
Build-Depends-Indep:
 doxygen,
 graphviz,
 rdfind,
 symlinks
Standards-Version: 3.9.5
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/box2d/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/box2d/
Homepage: http://www.box2d.org/

Package: libbox2d-dev
Section: libdevel
Architecture: any
Depends:
 libbox2d2.3.0 (= ${binary:Version}),
 ${misc:Depends}
Description: 2D physics engine - development files
 2D rigid body simulation library for games. Programmers can use it in
 their games to make objects move in believable ways and make the world
 seem more interactive. From the game's point of view a physics engine is
 just a system for procedural animation. Rather than paying (or begging)
 an animator to move your actors around, you can let Sir Isaac Newton do
 the directing.
 .
 This package contains the development libraries and headers.

Package: libbox2d-doc
Section: doc
Architecture: all
Depends:
 libjs-jquery,
 ${misc:Depends}
Description: 2D physics engine - documentation
 2D rigid body simulation library for games. Programmers can use it in
 their games to make objects move in believable ways and make the world
 seem more interactive.
 .
 This package contains the API documentation and the manual.

Package: libbox2d2.3.0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: 2D physics engine
 2D rigid body simulation library for games. Programmers can use it in
 their games to make objects move in believable ways and make the world
 seem more interactive. From the game's point of view a physics engine is
 just a system for procedural animation. Rather than paying (or begging)
 an animator to move your actors around, you can let Sir Isaac Newton do
 the directing.

Package: libbox2d2.3.0-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends:
 libbox2d2.3.0 (= ${binary:Version}),
 ${misc:Depends}
Description: 2D physics engine - debugging symbols
 2D rigid body simulation library for games. Programmers can use it in
 their games to make objects move in believable ways and make the world
 seem more interactive. From the game's point of view a physics engine is
 just a system for procedural animation. Rather than paying (or begging)
 an animator to move your actors around, you can let Sir Isaac Newton do
 the directing.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
VER   = 2.3.0
UURL  = http://box2d.googlecode.com/svn/tags/v
PKG   = box2d
DTYPE = +ds

%:
	dh $@ --parallel --buildsystem=cmake --sourcedirectory=Box2D

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBOX2D_INSTALL=ON \
		-DBOX2D_BUILD_SHARED=ON \
		-DBOX2D_BUILD_STATIC=ON \
		-DBOX2D_BUILD_EXAMPLES=OFF \
		-DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

override_dh_auto_build-indep:
	cd Box2D/Documentation && doxygen
	$(RM) -v Box2D/Documentation/API/html/*.md5
	$(RM) -v Box2D/Documentation/API/html/*.map
	$(RM) -v Box2D/Documentation/API/html/jquery.js
	rdfind -outputname /dev/null -makesymlinks true Box2D/Documentation/API/html
	symlinks -rsc Box2D/Documentation/API/html

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	sed -e 's/\$${DEB_HOST_MULTIARCH}/$(DEB_HOST_MULTIARCH)/' \
		-e 's/\$${VER}/$(VER)/' \
		debian/box2d.pc.in > debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/box2d.pc

override_dh_installchangelogs:
	dh_installchangelogs Box2D/Changes.txt

override_dh_clean:
	dh_clean
	$(RM) -r Box2D/Documentation/API

override_dh_strip:
	dh_strip --dbg-package=libbox2d$(VER)-dbg

## https://wiki.debian.org/onlyjob/get-orig-source
get-orig-source: $(PKG)_$(VER).orig.tar.xz
	@

$(PKG)_$(VER).orig.tar.xz:
	svn checkout --config-option config:miscellany:use-commit-times=yes \
		$(UURL)$(VER) $(PKG)-$(VER) \
		|| $(RM) -r $(PKG)-$(VER)
	@echo "Clean-up..."
	cd $(PKG)-$(VER) \
	&& find . -depth -name ".svn" -exec $(RM) -r '{}' \; \
	&& $(RM) -r -v \
		Contributions \
		Box2D/freeglut \
		Box2D/glui
	@echo "Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print \
		| sort | XZ_OPT="-7v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
		&& $(RM) -r "$(PKG)-$(VER)"

=== debian/watch ===
version=3
opts=downloadurlmangle=s%.*/([^/]*)/downloads/detail\?name=([^=&]*).*%http://$1.googlecode.com/files/$2%,filenamemangle=s/.*name=([^&]+).*/$1/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
http://code.google.com/p/box2d/downloads/list?can=1 .*=Box2D_v?(\d.*)\.(?:7z|tgz|tbz2|txz|tar\.(?:gz|bz2|xz)|zip).*

## box2d 2.3.1%2Bds

=== debian/changelog ===
box2d (2.3.1+ds-5build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:02:14 +0100

box2d (2.3.1+ds-5) unstable; urgency=medium

  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.2.1.
  * Correct path to documentation in doc-base file because of compat 11.

 -- Markus Koschany <apo@debian.org>  Sun, 18 Nov 2018 20:51:13 +0100

box2d (2.3.1+ds-4) unstable; urgency=medium

  * Update debian/watch because the project moved to Github.
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 3.9.8.
  * Remove -dbg package and use the automatic -dbgsym package instead.
  * d/copyright: Update Source field.
  * Update my e-mail address.

 -- Markus Koschany <apo@debian.org>  Mon, 03 Oct 2016 00:48:14 +0200

box2d (2.3.1+ds-3) unstable; urgency=medium

  * Upload to unstable.
  * Fix watch file regex and make PET happy. Thanks to gregor herrmann for the
    report and patch. (Closes: #782619)

 -- Markus Koschany <apo@gambaru.de>  Mon, 27 Apr 2015 16:39:34 +0200

box2d (2.3.1+ds-2) experimental; urgency=medium

  * Moved the package to Git.
  * Make the build reproducible by setting HTML_TIMESTAMP=NO for doxygen.
    Thanks to Maria Valentina Marin for the report. (Closes: #779223)
  * libbox2d-doc.docs: Only install the html directory.
  * Declare compliance with Debian Policy 3.9.6.

 -- Markus Koschany <apo@gambaru.de>  Sun, 15 Mar 2015 17:55:25 +0100

box2d (2.3.1+ds-1) unstable; urgency=medium

  * Imported Upstream version 2.3.1+ds.
  * Fix debian/watch to determine new releases by parsing
    the SVN tags of upstream's version control system.
  * Update get-orig-source target for new release.
  * dh_strip override: Replace $VER variable with 2.3.0 string.
  * debian/copyright: Add new Public Domain and Apache 2.0 license.
  * libbox2d-dev.install:
    - Install *.cmake files in /usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Box2D.

 -- Markus Koschany <apo@gambaru.de>  Fri, 30 May 2014 18:42:02 +0200

## box2d 2.3.1+ds

=== Box2D/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(Box2D)

if(UNIX)
	set(BOX2D_INSTALL_BY_DEFAULT ON)
else(UNIX)
	set(BOX2D_INSTALL_BY_DEFAULT OFF)
endif(UNIX)

option(BOX2D_INSTALL "Install Box2D libs, includes, and CMake scripts" ${BOX2D_INSTALL_BY_DEFAULT})
option(BOX2D_INSTALL_DOC "Install Box2D documentation" OFF)
option(BOX2D_BUILD_SHARED "Build Box2D shared libraries" OFF)
option(BOX2D_BUILD_STATIC "Build Box2D static libraries" ON)
option(BOX2D_BUILD_EXAMPLES "Build Box2D examples" ON)

set(BOX2D_VERSION 2.3.0)
set(LIB_INSTALL_DIR lib${LIB_SUFFIX})

# The Box2D library.
add_subdirectory(Box2D)

if(BOX2D_BUILD_EXAMPLES)
  # HelloWorld console example.
  add_subdirectory(HelloWorld)

  # Testbed and dependencies.
  find_package(OpenGL REQUIRED)
  add_subdirectory(freeglut)
  add_subdirectory(glui)
  add_subdirectory(Testbed)
endif(BOX2D_BUILD_EXAMPLES)

if(BOX2D_INSTALL_DOC)
  install(DIRECTORY Documentation DESTINATION share/doc/Box2D PATTERN ".svn" EXCLUDE)
endif(BOX2D_INSTALL_DOC)

=== Box2D/Box2D/CMakeLists.txt ===
--- 
+++ 
@@ -195,7 +195,10 @@
 
 	# install libraries
 	if(BOX2D_BUILD_SHARED)
-		install(TARGETS Box2D_shared EXPORT Box2D-targets DESTINATION ${LIB_INSTALL_DIR})
+		install(TARGETS Box2D_shared EXPORT Box2D-targets 
+                  LIBRARY DESTINATION ${LIB_INSTALL_DIR}
+                  ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
+                  RUNTIME DESTINATION bin)
 	endif()
 	if(BOX2D_BUILD_STATIC)
 		install(TARGETS Box2D EXPORT Box2D-targets DESTINATION ${LIB_INSTALL_DIR})
@@ -203,5 +206,13 @@
 
 	# install build system hooks for third-party apps
 	install(EXPORT Box2D-targets DESTINATION ${LIB_INSTALL_DIR}/Box2D)
-	install(FILES Box2DConfig.cmake DESTINATION ${LIB_INSTALL_DIR}/Box2D)
+
+        set (BOX2D_INCLUDE_DIR ${CMAKE_INSTALL_PREFIX}/include)
+        set (BOX2D_INCLUDE_DIRS ${BOX2D_INCLUDE_DIR} )
+        set (BOX2D_LIBRARY_DIRS ${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR})
+        set (BOX2D_LIBRARY Box2D)
+        set (BOX2D_LIBRARIES ${BOX2D_LIBRARY})
+        set (BOX2D_USE_FILE ${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}/cmake/Box2D/UseBox2D.cmake)
+        configure_file(Box2DConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/Box2DConfig.cmake @ONLY ESCAPE_QUOTES)
+        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/Box2DConfig.cmake UseBox2D.cmake DESTINATION ${LIB_INSTALL_DIR}/cmake/Box2D)
 endif(BOX2D_INSTALL)

=== Box2D/Testbed/CMakeLists.txt ===
# Some flags for Freeglut and GLUI.
add_definitions( -DFREEGLUT_EXPORTS -DFREEGLUT_STATIC -D_CRT_SECURE_NO_WARNINGS )

# Define the framework files.
set(Testbed_Framework_SRCS
	Framework/Main.cpp
	Framework/Render.cpp
	Framework/Render.h
	Framework/Test.cpp
	Framework/Test.h
)

#define the test files.
set(Testbed_Tests_SRCS
	Tests/TestEntries.cpp
	Tests/AddPair.h
	Tests/ApplyForce.h
	Tests/BodyTypes.h
	Tests/Breakable.h
	Tests/Bridge.h
	Tests/BulletTest.h
	Tests/Cantilever.h
	Tests/Car.h
	Tests/Chain.h
	Tests/CharacterCollision.h
	Tests/CollisionFiltering.h
	Tests/CollisionProcessing.h
	Tests/CompoundShapes.h
	Tests/Confined.h
	Tests/ContinuousTest.h
	Tests/DistanceTest.h
	Tests/Dominos.h
	Tests/DumpShell.h
	Tests/DynamicTreeTest.h
	Tests/EdgeShapes.h
	Tests/EdgeTest.h
	Tests/Gears.h
	Tests/OneSidedPlatform.h
	Tests/Pinball.h
	Tests/PolyCollision.h
	Tests/PolyShapes.h
	Tests/Prismatic.h
	Tests/Pulleys.h
	Tests/Pyramid.h
	Tests/RayCast.h
	Tests/Revolute.h
	Tests/Rope.h
	Tests/RopeJoint.h
	Tests/SensorTest.h
	Tests/ShapeEditing.h
	Tests/SliderCrank.h
	Tests/SphereStack.h
	Tests/TheoJansen.h
	Tests/Tiles.h
	Tests/TimeOfImpact.h
	Tests/VaryingFriction.h
	Tests/VaryingRestitution.h
	Tests/VerticalStack.h
	Tests/Web.h
)

# These are used to create visual studio folders.
source_group(Framework FILES ${Testbed_Framework_SRCS})
source_group(Tests FILES ${Testbed_Tests_SRCS})

include_directories (
	${OPENGL_INCLUDE_DIR}
	${Box2D_SOURCE_DIR}
)

if(APPLE)
	# We are not using the Apple's framework version, but X11's
	include_directories( /usr/X11/include )
	link_directories( /usr/X11/lib )
	set (OPENGL_LIBRARIES GL GLU GLUT X11)
elseif(WIN32)
	set (ADDITIONAL_LIBRARIES winmm)
endif(APPLE)

add_executable(Testbed
	${Testbed_Framework_SRCS}
	${Testbed_Tests_SRCS}
)

target_link_libraries (
	Testbed
	Box2D
	freeglut_static
	glui
	${ADDITIONAL_LIBRARIES}
	${OPENGL_LIBRARIES}
)

=== debian/changelog ===
box2d (2.3.1+ds-7) unstable; urgency=medium

  * Run dh_auto_build -i in indep target to prevent a FTBFS.

 -- Markus Koschany <apo@debian.org>  Fri, 16 Oct 2020 23:07:16 +0200

box2d (2.3.1+ds-6) unstable; urgency=medium

  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.
  * Use canonical VCS URI.

 -- Markus Koschany <apo@debian.org>  Fri, 16 Oct 2020 00:07:42 +0200

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Uploaders:
  Miriam Ruiz <little_miry@yahoo.es>,
  Barry deFreese <bdefreese@debian.org>,
- Markus Koschany <apo@gambaru.de>
+ Markus Koschany <apo@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 9)
+ debhelper-compat (= 13)
 Build-Depends-Indep:
  doxygen,
  graphviz,
  rdfind,
  symlinks
-Standards-Version: 3.9.5
-Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/box2d/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/box2d/
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/games-team/box2d.git
+Vcs-Browser: https://salsa.debian.org/games-team/box2d
 Homepage: http://www.box2d.org/
 
 Package: libbox2d-dev
@@ -62,20 +62,3 @@
  an animator to move your actors around, you can let Sir Isaac Newton do
  the directing.
 
-Package: libbox2d2.3.0-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends:
- libbox2d2.3.0 (= ${binary:Version}),
- ${misc:Depends}
-Description: 2D physics engine - debugging symbols
- 2D rigid body simulation library for games. Programmers can use it in
- their games to make objects move in believable ways and make the world
- seem more interactive. From the game's point of view a physics engine is
- just a system for procedural animation. Rather than paying (or begging)
- an animator to move your actors around, you can let Sir Isaac Newton do
- the directing.
- .
- This package contains the debugging symbols.

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
-VER   = 2.3.0
+VER   = 2.3.1
 UURL  = http://box2d.googlecode.com/svn/tags/v
 PKG   = box2d
 DTYPE = +ds
 
 %:
-	dh $@ --parallel --buildsystem=cmake --sourcedirectory=Box2D
+	dh $@ --buildsystem=cmake --sourcedirectory=Box2D
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -17,12 +17,14 @@
 		-DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)
 
 override_dh_auto_build-indep:
-	cd Box2D/Documentation && doxygen
+	# Build the documentation without TIMESTAMPS, see #779223
+	cd Box2D/Documentation && ( cat Doxyfile ; echo "HTML_TIMESTAMP=NO" ) | doxygen -
 	$(RM) -v Box2D/Documentation/API/html/*.md5
 	$(RM) -v Box2D/Documentation/API/html/*.map
 	$(RM) -v Box2D/Documentation/API/html/jquery.js
 	rdfind -outputname /dev/null -makesymlinks true Box2D/Documentation/API/html
 	symlinks -rsc Box2D/Documentation/API/html
+	dh_auto_build -i
 
 override_dh_auto_install:
 	dh_auto_install
@@ -38,9 +40,6 @@
 	dh_clean
 	$(RM) -r Box2D/Documentation/API
 
-override_dh_strip:
-	dh_strip --dbg-package=libbox2d$(VER)-dbg
-
 ## https://wiki.debian.org/onlyjob/get-orig-source
 get-orig-source: $(PKG)_$(VER).orig.tar.xz
 	@
@@ -54,8 +53,8 @@
 	&& find . -depth -name ".svn" -exec $(RM) -r '{}' \; \
 	&& $(RM) -r -v \
 		Contributions \
-		Box2D/freeglut \
-		Box2D/glui
+		Box2D/glew \
+		Box2D/glfw
 	@echo "Packing..."
 	find -L "$(PKG)-$(VER)" -xdev -type f -print \
 		| sort | XZ_OPT="-7v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \

=== debian/watch ===
version=4
opts=dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/Box2D-$1\.tar\.gz/ \
  https://github.com/erincatto/Box2D/tags .*/v?(\d\S*)\.tar\.gz

## box2d 2.4.1

=== extern/glfw/CMakeLists.txt ===
find_package(Threads REQUIRED)

# Establish target libraries and include directories
if (APPLE)

    list(APPEND glfw_LIBRARIES
        "-framework Cocoa"
        "-framework IOKit"
        "-framework CoreFoundation"
        "-framework CoreVideo")

elseif (UNIX)
    find_library(RT_LIBRARY rt)
    if (RT_LIBRARY)
        list(APPEND glfw_LIBRARIES "${RT_LIBRARY}")
    endif()

    find_library(MATH_LIBRARY m)
    if (MATH_LIBRARY)
        list(APPEND glfw_LIBRARIES "${MATH_LIBRARY}")
    endif()

    if (CMAKE_DL_LIBS)
        list(APPEND glfw_LIBRARIES "${CMAKE_DL_LIBS}")
    endif()

    find_package(X11 REQUIRED)

    # Set up library and include paths
    list(APPEND glfw_INCLUDE_DIRS "${X11_X11_INCLUDE_PATH}")
    list(APPEND glfw_LIBRARIES "${X11_X11_LIB}" "${CMAKE_THREAD_LIBS_INIT}")

    # Check for XRandR (modern resolution switching and gamma control)
    if (NOT X11_Xrandr_FOUND)
        message(FATAL_ERROR "The RandR headers were not found")
    endif()

    # Check for Xinerama (legacy multi-monitor support)
    if (NOT X11_Xinerama_FOUND)
        message(FATAL_ERROR "The Xinerama headers were not found")
    endif()

    # Check for Xkb (X keyboard extension)
    if (NOT X11_Xkb_FOUND)
        message(FATAL_ERROR "The X keyboard extension headers were not found")
    endif()

    # Check for Xcursor (cursor creation from RGBA images)
    if (NOT X11_Xcursor_FOUND)
        message(FATAL_ERROR "The Xcursor headers were not found")
    endif()

    list(APPEND glfw_INCLUDE_DIRS "${X11_Xrandr_INCLUDE_PATH}"
                                  "${X11_Xinerama_INCLUDE_PATH}"
                                  "${X11_Xkb_INCLUDE_PATH}"
                                  "${X11_Xcursor_INCLUDE_PATH}")
endif()

set(common_HEADERS src/internal.h src/mappings.h
                   include/GLFW/glfw3.h
                   include/GLFW/glfw3native.h)
set(common_SOURCES src/context.c src/init.c src/input.c src/monitor.c src/vulkan.c src/window.c)

if (APPLE)
    set(glfw_HEADERS ${common_HEADERS} src/cocoa_platform.h src/cocoa_joystick.h
                     src/posix_thread.h src/nsgl_context.h src/egl_context.h src/osmesa_context.h)
    set(glfw_SOURCES ${common_SOURCES} src/cocoa_init.m src/cocoa_joystick.m
                     src/cocoa_monitor.m src/cocoa_window.m src/cocoa_time.c src/posix_thread.c
                     src/nsgl_context.m src/egl_context.c src/osmesa_context.c)
    set_source_files_properties(${glfw_SOURCES} PROPERTIES LANGUAGE C)
elseif (WIN32)
    set(glfw_HEADERS ${common_HEADERS} src/win32_platform.h src/win32_joystick.h
                     src/wgl_context.h src/egl_context.h src/osmesa_context.h)
    set(glfw_SOURCES ${common_SOURCES} src/win32_init.c src/win32_joystick.c
                     src/win32_monitor.c src/win32_time.c src/win32_thread.c src/win32_window.c
                     src/wgl_context.c src/egl_context.c src/osmesa_context.c)
elseif (UNIX)
    set(glfw_HEADERS ${common_HEADERS} src/x11_platform.h src/xkb_unicode.h src/posix_time.h
                     src/posix_thread.h src/glx_context.h src/egl_context.h src/osmesa_context.h)
    set(glfw_SOURCES ${common_SOURCES} src/x11_init.c src/x11_monitor.c src/x11_window.c
                     src/xkb_unicode.c src/posix_time.c src/posix_thread.c src/glx_context.c
                     src/egl_context.c src/osmesa_context.c)
    set(glfw_HEADERS ${glfw_HEADERS} src/linux_joystick.h)
    set(glfw_SOURCES ${glfw_SOURCES} src/linux_joystick.c)
endif()

add_library(glfw STATIC ${glfw_SOURCES} ${glfw_HEADERS})
target_include_directories(glfw PUBLIC include)
target_include_directories(glfw PRIVATE ${glfw_INCLUDE_DIRS})
target_link_libraries(glfw INTERFACE ${glfw_LIBRARIES})

source_group(TREE ${CMAKE_CURRENT_SOURCE_DIR} FILES ${glfw_SOURCES} ${glfw_HEADERS})

=== debian/changelog ===
box2d (2.4.1-2ubuntu1) jammy; urgency=medium

  * Disable BOX2D_BUILD_UNIT_TESTS to avoid FTBFS with
    glibc 2.34

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 07 Jan 2022 08:05:00 +0000

box2d (2.4.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Declare compliance with Debian Policy 4.6.0.
  * Mark libbox2d-doc Multi-Arch:foreign and libbox2d-dev Multi-Arch:same.

 -- Markus Koschany <apo@debian.org>  Sun, 05 Sep 2021 00:50:38 +0200

box2d (2.4.1-1) experimental; urgency=medium

  * New upstream version 2.4.1.
  * Drop all patches. Merged upstream.

 -- Markus Koschany <apo@debian.org>  Tue, 27 Oct 2020 00:37:06 +0100

box2d (2.4.0-1) experimental; urgency=medium

  * New upstream version 2.4.0.
  * Rename the binary package for the shared library to libbox2d2 because of
    the SONAME bump.
  * Update debian/copyright for new release. The library is licensed under the
    MIT/Expat license now.
  * Remove graphviz, rdfind and symlinks from Build-Depends.
  * Declare compliance with Debian Policy 4.5.0.
  * Switch to debhelper-compat = 13.
  * Patch box2d to build a shared library again. Apparently upstream decided to
    remove support for shared libraries. In order to restore the old behavior we
    patch box2d to provide this feature again. Thanks to Julien Bernard for the
    patches.

 -- Markus Koschany <apo@debian.org>  Thu, 15 Oct 2020 23:40:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: box2d
 Section: libs
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Miriam Ruiz <little_miry@yahoo.es>,
  Barry deFreese <bdefreese@debian.org>,
@@ -11,19 +12,17 @@
  debhelper-compat (= 13)
 Build-Depends-Indep:
  doxygen,
- graphviz,
- rdfind,
- symlinks
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/games-team/box2d.git
 Vcs-Browser: https://salsa.debian.org/games-team/box2d
 Homepage: http://www.box2d.org/
 
 Package: libbox2d-dev
 Section: libdevel
+Multi-Arch: same
 Architecture: any
 Depends:
- libbox2d2.3.0 (= ${binary:Version}),
+ libbox2d2 (= ${binary:Version}),
  ${misc:Depends}
 Description: 2D physics engine - development files
  2D rigid body simulation library for games. Programmers can use it in
@@ -37,6 +36,7 @@
 
 Package: libbox2d-doc
 Section: doc
+Multi-Arch: foreign
 Architecture: all
 Depends:
  libjs-jquery,
@@ -48,7 +48,7 @@
  .
  This package contains the API documentation and the manual.
 
-Package: libbox2d2.3.0
+Package: libbox2d2
 Architecture: any
 Multi-Arch: same
 Depends:

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

VER = 2.4.1

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBOX2D_BUILD_DOCS=ON \
		-DBOX2D_BUILD_UNIT_TESTS=OFF \
		-DBOX2D_BUILD_TESTBED=OFF \
		-DBUILD_SHARED_LIBS=ON \
		-DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	sed -e 's/\$${DEB_HOST_MULTIARCH}/$(DEB_HOST_MULTIARCH)/' \
		-e 's/\$${VER}/$(VER)/' \
		debian/box2d.pc.in > debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/box2d.pc

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

=== debian/watch ===
version=4
opts=dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/Box2D-$1\.tar\.gz/ \
  https://github.com/erincatto/box2d/tags .*/v?(\d\S*)\.tar\.gz
